For the complete documentation index, see llms.txt. This page is also available as Markdown.

Devices & OS Versions

List of available devices and operating systems.

Get available devices

get

Get the list of available devices and operating systems.

Responses
200

OK

application/json
idstringOptional

ID of the device (ie. for device selection in url params).

Example: iphone15promax
namestringOptional

Name of the device

Example: iPhone 15 Pro Max
platformstring · enumOptional

OS that the device runs.

Example: iosPossible values:
osVersionsstring[]Optional

Array of os versions.

Example: ["12.0","13.0"]
get/v2/service/devices
GET /v2/service/devices HTTP/1.1
Host: api.appetize.io
Accept: */*
200

OK

[
   {
       "id": "iphone15promax",
       "platform": "ios",
       "osVersions": [
           "17.0"
       ],
       "name": "iPhone 15 Pro Max"
   },
   {
       "id": "pixel6pro",
       "platform": "android",
       "osVersions": [
           "12.0",
           "13.0"
       ],
       "name": "Pixel 6 Pro"
   }
]

Last updated